# TdApi.InputCredentials

Package it.ernytech.tdlib

## Class TdApi.InputCredentials

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.InputCredentials

Direct Known Subclasses:
  `TdApi.InputCredentialsAndroidPay`, `TdApi.InputCredentialsApplePay`, `TdApi.InputCredentialsNew`, `TdApi.InputCredentialsSaved`

Enclosing class:
  TdApi

    public abstract static class TdApi.InputCredentials
    extends TdApi.Object

This class is an abstract base class. Contains information about the payment method chosen by the user.

### Constructor Summary

Constructors
`InputCredentials()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`getConstructor, toString`

### Constructor Detail

#### InputCredentials

    public InputCredentials()